Bug 1575141 - Quite low IO performance vs. Ubuntu 18.10 LTS/Clear Linux [NEEDINFO]
Summary: Quite low IO performance vs. Ubuntu 18.10 LTS/Clear Linux
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 20:58 UTC by Artem S. Tashkinov
Modified: 2018-08-29 15:15 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 15:15:11 UTC
Type: Bug
jforbes: needinfo?


Attachments (Terms of Use)

Description Artem S. Tashkinov 2018-05-04 20:58:10 UTC
https://www.phoronix.com/scan.php?page=article&item=ubuntu1804-fedora28-clear&num=2

In the Compile Bench Fedora is almost _twice_ as slow as Clear Linux.

Comment 1 Josh Boyer 2018-05-05 00:12:54 UTC
That's not necessarily indicative of the kernel.  Performance is sensitive to a number of factors and those factors vary depending on the workload or benchmark.  Determining why something runs slower requires significant time investment.  Fedora would welcome efforts from those in the community interesting in improving performance.

Comment 2 Artem S. Tashkinov 2018-05-05 07:22:40 UTC
I could argue that the kernel is probably responsible for > 98% of the work being done in this test but I'm not in expert in low level syscalls, so I rest my case and wait for people with more experience.

Comment 3 Timur Kristóf 2018-05-05 13:33:55 UTC
Perhaps it would be useful to give some hints on how to get started with the task of investigating this issue, ie. where to start looking.

Comment 4 Michael Osborne 2018-05-06 03:51:41 UTC
One thing that should be fairly easy is to simply use either the Ubuntu or Clear Linux kernels to boot Fedora 28 and then rerun the benchmarks. That would tell you what portion of the difference is due do the kernel.

Comment 5 Artem S. Tashkinov 2018-05-06 20:37:34 UTC
(In reply to Timur Kristóf from comment #3)

The article is pretty clear on how the testing was carried out: the author installed the default versions of the said operating systems on the specified SSD disk and ran the Phoronix test suite. That's it.

I neither have an SSD disk, nor I will be able to find the source of this discrepancy as an average user.

In the discussion thread someone suggested that perhaps Fedora has the most recent kernel version which contains the most fixes against Meltdown/Spectre and that might explain the huge difference.

Comment 6 Artem 2018-05-07 18:33:47 UTC
Typo: Ubuntu 18.10 LTS
Fix: Ubuntu 18.04 LTS

Comment 7 Justin M. Forbes 2018-07-23 15:10:10 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.17.7-200.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 8 Justin M. Forbes 2018-08-29 15:15:11 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.